use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile
  (
   NAME                => 'Email::Classifier',
   AUTHOR              => 'Jonas Liljegren <jonas@cpan.org>',
   VERSION_FROM        => 'lib/Email/Classifier.pm',
   ABSTRACT_FROM       => 'lib/Email/Classifier.pm',
   PL_FILES            => {},
   PREREQ_PM =>
   {
    'Test::More'                        => 0.62,
    'Module::Pluggable'                 => 3.4,
    'Email::MIME'                       => 1.861,
    'Email::MIME::ContentType'          => 1.014,
    'Email::Simple'                     => 2.003,
   },
   dist                => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
   clean               => { FILES => 'Email-Classifier-*' },
  );
