#  $Id: Spam.pm,v 1.1.1.1 2008/02/17 23:31:10 jonas Exp $  -*-cperl-*-
package Email::Classifier::Spam;
#=====================================================================
#
# AUTHOR
#   Jonas Liljegren   <jonas@cpan.org>
#
# COPYRIGHT
#   Copyright (C) 2008 Avisita AB.  All Rights Reserved.
#
#=====================================================================

=head1 NAME

Email::Classifier::Spam

=cut

use strict;
use Carp qw( croak confess cluck );

=head1 DESCRIPTION

Based on L<Mail::DeliveryStatus::BounceParser>

=cut


#######################################################################

=head2 new

=cut

sub new
{
    my( $this, $email ) = @_;
    my $class = ref($this) || $this;

    my $c = bless
    {
     email => $email,
     is_spam => 0,
    }, $class;
#    weaken( $c->{'email'} );

    $c->analyze;

    return $c;
}


#######################################################################

=head2 is_spam

=cut

sub is_spam
{
    my( $c ) = @_;

    return $c->{'is_spam'} ? 1 : 0;
}


#######################################################################

=head2 analyze

=cut

sub analyze
{
    my( $c ) = @_;

    my $email = $c->{'email'};

    warn "  Analyzing for Spam\n";



    return 1;
}


#######################################################################

1;
