#  $Id: Spam_Response.pm,v 1.1.1.1 2008/02/17 23:31:10 jonas Exp $  -*-cperl-*-
package Email::Classifier::Spam_Response;
#=====================================================================
#
# AUTHOR
#   Jonas Liljegren   <jonas@cpan.org>
#
# COPYRIGHT
#   Copyright (C) 2008 Avisita AB.  All Rights Reserved.
#
#=====================================================================

=head1 NAME

Email::Classifier::Spam_Response

=cut

use strict;
use Carp qw( croak confess cluck );

=head1 DESCRIPTION

Based on L<Mail::DeliveryStatus::BounceParser>

=cut


#######################################################################

=head2 new

=cut

sub new
{
    my( $this, $email ) = @_;
    my $class = ref($this) || $this;

    my $c = bless
    {
     email => $email,
     is_spam_response => 0,
    }, $class;
#    weaken( $c->{'email'} );

    $c->analyze;

    return $c;
}


#######################################################################

=head2 is_spam_response

=cut

sub is_spam_response
{
    my( $c ) = @_;

    return $c->{'is_spam_response'} ? 1 : 0;
}


#######################################################################

=head2 analyze

=cut

sub analyze
{
    my( $c ) = @_;

    my $email = $c->{'email'};

    warn "  Analyzing for Spam Response\n";


#  # Network Associates WebShield SMTP V4.5 MR1a on cpwebshield
#  # intercepted a mail from <owner-aftermba@v2.listbox.com> which caused
#  # the Content Filter Block extension COM to be triggered.
#
#  if ($message->effective_type eq "text/plain"
#      and (length $message->as_string) < 3000
#      and $message->bodyhandle->as_string
#        =~ m/norton\sassociates\swebshield|content\s+filter/ix
#  ) {
#    $self->log("looks like a virus/spam block, ignoring.");
#    $self->{type} = "virus/spam false positive";
#    $self->{is_bounce} = 0;
#    return $self;
#  }


    return 1;
}


#######################################################################

1;
